GroovySunClassLoader (Groovy 4.0.15)
Description: declaration: package: org.codehaus.groovy.runtime.callsite, class: GroovySunClassLoader

Package org.codehaus.groovy.runtime.callsite

# Class GroovySunClassLoader

java.lang.Object
java.lang.ClassLoader
org.codehaus.groovy.reflection.SunClassLoader
org.codehaus.groovy.runtime.callsite.GroovySunClassLoader

public class GroovySunClassLoader extends SunClassLoader

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final SunClassLoader`
  `sunVM`

  ### Fields inherited from class org.codehaus.groovy.reflection.SunClassLoader

  `knownClasses`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `GroovySunClassLoader()`
  `protected`
  `GroovySunClassLoader(int parsingOptions)`

- ## Method Summary

  ### Methods inherited from class org.codehaus.groovy.reflection.SunClassLoader

  `define, doesKnow, loadClass, loadFromRes, resName`

  ### Methods inherited from class java.lang.ClassLoader

  `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findClass, findLibrary, findLoadedClass, findResource, findResource, findResources, findSystemClass, getClassLoadingLock, getDefinedPackage, getDefinedPackages, getName, getPackage, getPackages, getParent, getPlatformClassLoader, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, loadClass, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### sunVM

    public static final SunClassLoader sunVM

- ## Constructor Details

  - ### GroovySunClassLoader

    protected GroovySunClassLoader() throws Throwable
    Throws:
      `Throwable`

  - ### GroovySunClassLoader

    protected GroovySunClassLoader(int parsingOptions) throws Throwable
    Throws:
      `Throwable`